Buying used ATV 2 with 5.0+ firmware, can I still jailbreak?

Hi, I’m buying an ATV 2 from craiglists, and the post said it had the latest firmware, so at least 5.0+.  Is it possible for me to downgrade to 4.4.4 without blobs or any of that, or do I have to wait until a 5.0+ jailbreak?

You can downgrade to a tethered 4.4.2 with blobs posted on the forum.

I am going to spend some time trying to figure out the 4.4.4 DFU issue.

awesome, just follow the steps here I’d assume, http://forum.firecore.com/topic/7455

 

You don’t need the blobs anymorec, I did it without it.

Downloaded the new Seas0nPass for mac then on Seas0nPass click right on the create IPK and select 4.4.4 then let it do the process, at the end on iTunes I got an error message but after plugin the apple TV on my TV to check it and it did work.

So happy to be back to 4.4.4